// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React, { SVGProps } from 'react';

const IconMultipleComments: React.FunctionComponent<React.SVGProps<SVGSVGElement>> = (
  _props: SVGProps<SVGSVGElement>,
) => (
  <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="currentColor">
    <path
      d="M2.96584 4.24707H19.25C19.4489 4.24707 19.6397 4.32608 19.7803 4.46674C19.921 4.60739 20 4.79816 20 4.99707V17.9971C20 18.196 19.921 18.3868 19.7803 18.5274C19.6397 18.6681 19.4489 18.7471 19.25 18.7471H10.9308L6.40485 22.2841C6.29477 22.3702 6.16282 22.4238 6.0239 22.4389C5.88497 22.454 5.74459 22.43 5.61858 22.3696C5.49256 22.3092 5.38592 22.2148 5.3107 22.097C5.23548 21.9792 5.19466 21.8428 5.19284 21.7031L5.15485 18.7471H2.96484C2.76593 18.7471 2.57516 18.6681 2.43451 18.5274C2.29386 18.3868 2.21484 18.196 2.21484 17.9971V4.99707C2.21484 4.8985 2.23428 4.80088 2.27203 4.70982C2.30979 4.61876 2.36511 4.53604 2.43486 4.46639C2.50461 4.39673 2.58742 4.3415 2.67853 4.30386C2.76964 4.26623 2.86726 4.24694 2.96584 4.24707ZM18.5 5.74707H3.71584V17.2471H5.89584C6.09304 17.2471 6.2823 17.3247 6.42267 17.4632C6.56304 17.6017 6.64321 17.7899 6.64584 17.9871L6.67384 20.1701L10.2108 17.4061C10.3428 17.303 10.5054 17.247 10.6728 17.2471H18.5V5.74707Z"
      fill="currentColor"
    />
    <path
      d="M7.2266 12.6495C7.90404 12.6495 8.45321 12.1003 8.45321 11.4229C8.45321 10.7455 7.90404 10.1963 7.2266 10.1963C6.54917 10.1963 6 10.7455 6 11.4229C6 12.1003 6.54917 12.6495 7.2266 12.6495Z"
      fill="currentColor"
    />
    <path
      d="M10.9999 12.6495C11.6773 12.6495 12.2265 12.1003 12.2265 11.4229C12.2265 10.7455 11.6773 10.1963 10.9999 10.1963C10.3225 10.1963 9.77328 10.7455 9.77328 11.4229C9.77328 12.1003 10.3225 12.6495 10.9999 12.6495Z"
      fill="currentColor"
    />
    <path
      d="M14.7734 12.6495C15.4508 12.6495 16 12.1003 16 11.4229C16 10.7455 15.4508 10.1963 14.7734 10.1963C14.096 10.1963 13.5468 10.7455 13.5468 11.4229C13.5468 12.1003 14.096 12.6495 14.7734 12.6495Z"
      fill="currentColor"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M4.375 1C4.375 0.654822 4.65482 0.375 5 0.375H22.5C23.1213 0.375 23.625 0.878679 23.625 1.5V16C23.625 16.3452 23.3452 16.625 23 16.625C22.6548 16.625 22.375 16.3452 22.375 16V1.625H5C4.65482 1.625 4.375 1.34518 4.375 1Z"
      fill="currentColor"
    />
  </svg>
);

export default IconMultipleComments;
